<script setup lang="ts">
import WeatherToday from "@/components/TheWeatherToday.vue";
import Forecast from "@/components/TheForecast.vue";
import Location from "@/components/TheLocation.vue";
</script>

<template>
  <WeatherToday/>
  <Forecast/>
  <Location/>
</template>

<style>
@tailwind base;
@tailwind components;
@tailwind utilities;

#app {
  height: 100%;
  min-height: 100vh;
  min-width: 100%;
  background: hsla(10, 82%, 65%, 1);
  background: linear-gradient(
      135deg,
      hsla(10, 82%, 65%, 1) 0%,
      hsla(290, 79%, 13%, 1) 83%
  );
  background: -moz-linear-gradient(
      135deg,
      hsla(10, 82%, 65%, 1) 0%,
      hsla(290, 79%, 13%, 1) 83%
  );
  background: -webkit-linear-gradient(
      135deg,
      hsla(10, 82%, 65%, 1) 0%,
      hsla(290, 79%, 13%, 1) 83%
  );
  color: #fff;
  padding: 100px 28%;
}

@media screen and (max-width: 992px) {
  #app {
    padding: 50px 10%;
  }
}

@media screen and (max-width: 600px) {
  #app {
    padding: 10px;
  }
}

* {
  margin: 0;
  padding: 0;
}
</style>
